#!/bin/sh
#---------------------------------------------------------------------------- 
# /tmp/preinstall.sh  - Preinstall for hddtemp
#
# Creation:     30.11.2005  Stephan Sanders
# Last Update:  02.06.2013  Stephan Sanders
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------


if [ -f /etc/config.d/hddtemp ]
then

    cp /etc/config.d/hddtemp /etc/config.d/hddtemp.install
    mv /usr/share/misc/hddtemp.db /usr/share/misc/hddtemp.backup

    /etc/init.d/hddtemp stop 2>/dev/null      
    /etc/init.d/hddtemp status 2>/dev/null


# Configpunkt fuer kleiner 0.1.6  //
if [ `/var/install/bin/check-version hddtemp 0.1.6` = "new" ]
then
echo "deleting old menu file..."

rm -r -f /var/install/bin/setup.services.hddtemp

fi



fi



